<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.cc.cc_monitoring" scope="application"/>

<table>
  <tr class="portlet-section-body">
    <td><fmt:message key="ccproject.buildTime"/>:</td>
    <td colspan="2">${project.buildTime}</td>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="ccproject.testsSucceded"/>:</td>
    <td colspan="2">
      <fmt:formatNumber value="${project.testsSucceded}"/>
      &nbsp;(<fmt:formatNumber value="${project.successRate}" type="percent"/>)
    </td>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="ccproject.failures"/>:</td>
    <td colspan="2">
      <c:if test="${project.failures > 0}"><span class="portlet-msg-error"></c:if>
        <fmt:formatNumber value="${project.failures}"/>
        &nbsp;(<fmt:formatNumber value="${project.failures / project.tests}" type="percent"/>)
      <c:if test="${project.failures > 0}"></span></c:if>
    </td>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="ccproject.errors"/>:</td>
    <td colspan="2">
      <c:if test="${project.errors > 0}"><span class="portlet-msg-error"></c:if>
        <fmt:formatNumber value="${project.errors}"/>
        &nbsp;(<fmt:formatNumber value="${project.errors / project.tests}" type="percent"/>)
      <c:if test="${project.errors > 0}"></span></c:if>
    </td>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="ccproject.tests"/>:</td>
    <td colspan="2">
      <c:if test="${project.tests == 0}"><span class="portlet-msg-alert"></c:if>
        <fmt:formatNumber value="${project.tests}"/>
      <c:if test="${project.tests == 0}"></span></c:if>
    </td>
  </tr>
  <tr class="portlet-section-alternate">
    <td valign="top"><fmt:message key="ccproject.testsPerCategory"/>:</td>
    <td valign="top"><ui:zoomableImage id="0" locator="${project.testsPerCategoryChartLocator}" titleKey="ccproject.testsPerCategory"/></td>
    <td valign="top">
      <ui:listExpander id="0" size="${fn:length(project.testCases)}"/>
      <table>
        <c:forEach var="testcase" items="${project.testCases}" varStatus="status">
          <c:choose>
            <c:when test="${status.index < 10}">
              <tr id="row-<portlet:namespace/>-0-${status.index}" class="portlet-section-body">
            </c:when>
            <c:otherwise>
              <tr id="row-<portlet:namespace/>-0-${status.index}" style="display: none" class="portlet-section-body">
            </c:otherwise>
          </c:choose>
            <td>
              <c:choose>
                <c:when test="${testcase.result == 1}">
                  <img src="<c:url value="/pages/images/green_light.gif"/>" title="<fmt:message key="legend.testSuccess"/>"/>
                </c:when>
                <c:when test="${testcase.result == -1}">
                  <img src="<c:url value="/pages/images/yellow_light.gif"/>" title="<fmt:message key="legend.testWarning"/>"/>
                </c:when>
                <c:otherwise>
                  <img src="<c:url value="/pages/images/red_light.gif"/>" title="<fmt:message key="legend.testError"/>"/>
                </c:otherwise>
              </c:choose>
            </td>
            <td>
              <c:if test="${testcase.result != 1}"><span class="portlet-msg-error"></c:if>
                ${testcase.className}
              <c:if test="${testcase.result != 1}"></span></c:if>
            </td>
            <td>
              <c:if test="${testcase.result != 1}"><span class="portlet-msg-error"></c:if>
                ${testcase.testCaseName}
              <c:if test="${testcase.result != 1}"></span></c:if>
            </td>
          </tr>
        </c:forEach>
      </table>
    </td>
  </tr>
  <%@include file="includes/table_footer.jsp"%>
</table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.back"/>"/>
</form>
